> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/storefronts/manage-cart-and-checkout/set-customers-shipping-and-billing-addresses.md).

# Set customer's shipping and billing addresses

### `Ecwid.Cart.setAddress()`

This method allows you to prefill the **shipping address** before a customer gets to the checkout.&#x20;

It is useful when you want to remove some address fields, like country or state. Prefill address fields with this method and then hide them with CSS `{display: none;}` style.

The method has three arguments: `address` with the address details and two function callbacks, `successCallback` called if the method works successfully, and `errorCallback` called if it fails.

```javascript
Ecwid.Cart.setAddress(
	{
		"name": "John Carmichael",
  	"companyName": "Cool Slippers",
  	"street": "5th Ave",
  	"city": "New York",
  	"countryName": "United States",
  	"postalCode": "10002",
  	"stateOrProvinceCode": "NY",
  	"phone": "+1 234 523 11 42"
  },
  function(successCallback){ console.log('Success') },
  function(errorCallback){ console.log('Fail') }
);

// prints
// Success
```

Address fields in this method match the `shippingPerson` object.

### `Ecwid.Cart.setBillingAddress()`

This method allows you to prefill the customer billing address before customers get to the checkout. It accepts three arguments: `address` with the address details and two function callbacks, `successCallback` called if the method works successfully, and `errorCallback` called if it fails.

```javascript
Ecwid.Cart.setBillingAddress(
	{
		"name": "John Carmichael",
  	"companyName": "Cool Slippers",
  	"street": "5th Ave",
  	"city": "New York",
  	"countryName": "United States",
  	"postalCode": "10002",
  	"stateOrProvinceCode": "NY",
  	"phone": "+1 234 523 11 42"
  },
  function(successCallback){ console.log('Success') },
  function(errorCallback){ console.log('Fail') }
);

// prints
// Success
```

Address fields in this method match the `shippingPerson` object.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ecwid.com/storefronts/manage-cart-and-checkout/set-customers-shipping-and-billing-addresses.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
